org.apache.felix.bundleplugin

## Class DependencyExcluder

- java.lang.Object
- - org.apache.felix.bundleplugin.AbstractDependencyFilter
  - - org.apache.felix.bundleplugin.DependencyExcluder

-     public final class DependencyExcluder
      extends AbstractDependencyFilter

  Exclude selected dependencies from the classpath passed to BND.
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyExcluder(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<org.apache.maven.artifact.Artifact>` | `getExcludedArtifacts()`
    `protected void` | `processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)`
    `void` | `processHeaders(String excludeDependencies)`

    - ### Methods inherited from class org.apache.felix.bundleplugin.AbstractDependencyFilter

      `processInstructions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyExcluder

          public DependencyExcluder(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)

  - ### Method Detail

    - #### processHeaders

          public void processHeaders(String excludeDependencies)
                              throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### processDependencies

          protected void processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies,
                                 String inline)

      Specified by:
        `processDependencies` in class `AbstractDependencyFilter`

    - #### getExcludedArtifacts

          public Collection<org.apache.maven.artifact.Artifact> getExcludedArtifacts()

Copyright © 2015. All rights reserved.